import gql from 'graphql-tag';
import { FICHIER_FRAGMENT } from '../Fichier/fragment';

export const APPLICATION_INFO = gql`
  fragment ApplicationsGroupInfo on ApplicationsGroup {
    id
    groupement{
      id
      nom
    }
    applications{
      id
      nom
      url
      icon{
        ...FichierInfo
      }
      ssoType
      ssoTypeid
      mappings{
        id,
        nom,
        value
      },
      samlLoginDetail{
        id
        idpX509Certificate
        spX509Certificate
        consumerUrl
        Sendingtype
      }
      cryptoAesDetail{
        id
        key
        requestUrl
        hexadecimal
        Sendingtype
      }
      cryptoMd5Detail{
        id
        beginGet
        endGet
        hexadecimal
        requestUrl
        Sendingtype
        haveExternalUserMapping
      }
      cryptoOtherDetail{
        id
        function
        requestUrl
        Sendingtype
      }
      tokenAuthentificationDetail{
        id
        reqTokenUrl
        reqUserUrl
        Sendingtype
      }
      tokenFtpAuthentificationDetail{
        id
        requestUrl
        Sendingtype
        ftpFilePath
        ftpFileName
        ftpid{
          id
          host
          port
          user
          password
        }
      }
    }
  }
  ${FICHIER_FRAGMENT}
`;

export const APPLICATION_ROLE_INFO = gql`
  fragment ApplicationRoleInfo on ApplicationsRole {
    id
    role{
        id
        nom
        code
    }
    applications{
      id
      nom
      url
      icon{
        ...FichierInfo
      }
      ssoType
      ssoTypeid
    }
  }
  ${FICHIER_FRAGMENT}
`;

export const SSO_APPLICATION_INFO = gql`
  fragment SsoApplicationInfo on SsoApplication {
    id,
    nom,
    url,
    icon{
      ...FichierInfo
    },
    ssoType,
    ssoTypeid,
    mappings{
      id,
      nom,
      value
    },
    samlLoginDetail{
      id
      idpX509Certificate
      spX509Certificate
      consumerUrl
      Sendingtype
    }
    cryptoAesDetail{
      id
      key
      requestUrl
    	hexadecimal
      Sendingtype
    }
    cryptoMd5Detail{
      id
      beginGet
      endGet
      hexadecimal
      requestUrl
      Sendingtype
      haveExternalUserMapping
    }
    cryptoOtherDetail{
      id
      function
      requestUrl
      Sendingtype
    }
    tokenAuthentificationDetail{
      id
      reqTokenUrl
      reqUserUrl
      Sendingtype
    }
    tokenFtpAuthentificationDetail{
      id
      requestUrl
      Sendingtype
      ftpFilePath
      ftpFileName
      ftpid{
        id
        host
        port
        user
        password
      }
    }
  }
  ${FICHIER_FRAGMENT}
`;